Name:		sony-target-dev-libconfig
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libconfig
Version:	1.3.2
Release:	1.1%{?dist}
Summary:	C/C++ configuration file library

#Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.hyperrealm.com/libconfig/
Source0:	http://www.hyperrealm.com/libconfig/libconfig-%{version}.tar.gz

Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#BuildRequires:	texinfo-tex
#Requires:	

%description
Libconfig is a simple library for manipulating structured configuration 
files. This file format is more compact and more readable than XML. And 
unlike XML, it is type-aware, so it is not necessary to do string parsing 
in application code.

%package -n %{pkgname}
Summary   	: Linux PCI utilities.
Group           : %{sony_group}
AutoReqProv     : no

%description -n %{pkgname}
Libconfig is a simple library for manipulating structured configuration 
files. This file format is more compact and more readable than XML. And 
unlike XML, it is type-aware, so it is not necessary to do string parsing 
in application code.


%prep
%setup -q -n libconfig-%{version}
iconv -f iso-8859-1 -t utf-8 -o AUTHORS{.utf8,}
mv AUTHORS{.utf8,}

%build
%sony_target_dev_setup

%sony_target_dev_configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.la
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/dir

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/libconfig*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libconfig*.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig/libconfig*.pc
#%{_defaultdocdir}/%{name}/
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/libconfig.info*
%doc



%changelog
